#include "InterfaceHeader.h"
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <check.h>
#include <pthread.h>
#include <sys/mman.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>

/*
 * 
 */




int compare_two_binary_files(FILE *fp1, FILE *fp2) {
    char ch1, ch2;
    int flag = 0;
    while (((ch1 = fgetc(fp1)) != EOF) &&((ch2 = fgetc(fp2)) != EOF)) {
        if (ch1 == ch2) {
            flag = 1;
            continue;
        } else {
            fseek(fp1, -1, SEEK_CUR);
            flag = 0;
            break;
        }
    }

    if (ch1 == EOF) {

        ch2 = fgetc(fp2);
    }

    if ((ch1 != EOF) || (ch2 != EOF)) {
        flag = 0;
    }

    if (flag == 0) {
        return 1;
        //printf("Two files are not equal :  byte poistion at which two files differ is %d\n", ftell(fp1) + 1);

    } else {
        return 0;
        //printf("Two files are Equal\n ", ftell(fp1) + 1);
    }

}

START_TEST(test_1) {

    char * commandRemoveOldFile = "rm -f results.out";
    system(commandRemoveOldFile);

    char * oracle = "oraclePidginCflow.out";

    char * currentResultsOutput = "results.out";
    //char * oracle = "/home/alex/NetBeansProjects/TESTgOto/webServerIndexOracle.out";

    int length = 2;
    char ** params;
    params = (char **) malloc (2 * sizeof(char *));
    params[0]  = (char *) malloc (500 * sizeof(char));
    params[1] = (char *) malloc (500 * sizeof(char));
    strcat(params[1], "argcv.c");
    strcat(params[0], "cflow");
    GRAFT_INTERFACE(currentResultsOutput, length, params);
    
    
    FILE * resultsFile = fopen(currentResultsOutput,"r");
    FILE * oracleFile = fopen(oracle,"r");
    
    if (compare_two_binary_files(resultsFile, oracleFile)) {
        ck_abort();
    }
}

END_TEST



Suite *
money_suite(void) {
    
    Suite *s = suite_create("GenTransSuite");
    // Core test case 
    TCase *tc_core = tcase_create("Core");
    tcase_set_timeout(tc_core, 15);
    tcase_add_test(tc_core, test_1);
    //tcase_add_test(tc_core, test_2);
    suite_add_tcase(s, tc_core);
    return s;
    
}

int main(int argc, char** argv) {
    
    int number_failed;
    Suite *s = money_suite();
    SRunner *sr = srunner_create(s);
    srunner_run_all(sr, CK_SILENT);

    printf("\n\n");

    srunner_print(sr, CK_NORMAL);

    number_failed = srunner_ntests_failed(sr);
    srunner_free(sr);
    return (number_failed == 0) ? EXIT_SUCCESS : EXIT_FAILURE;
    //  return (EXIT_SUCCESS);
    
    //test();
    
}


/*
int main () {
   
    FILE *fin = fopen ("/home/alex/NetBeansProjects/HostExample/input.in", "r");
    FILE *fout = fopen ("output.out", "w");
    
    
    
    
    int *arrayC;
    int length;
    fscanf (fin, "%d", & length);
    arrayC = (int *) malloc ((length + 1) * sizeof (int));
    int i;
    for (i = 0; i < length; i++) {
        fscanf (fin, "%d", & arrayC [i]);
    }
    for (i = 0; i < length; i++) {
        fprintf (fout, "%d ", arrayC [i]);
    }
    
    
    
    //result: 45 39 -104 61 7 -44 42 -20 45 -85
    int length = 10;
    int myArray[10] = { 3, 45, 1, 67, 8, 98, 12, -12, -133, 0 };
    
    
    short *TRANSPLANT_RESULT;
    TRANSPLANT_RESULT = GRAFT_INTERFACE (length, myArray, NULL, NULL);
    return (EXIT_SUCCESS);
}*/




/*

int main(int argc, char *argv []) {
    
    FILE *fin = fopen("/home/alex/NetBeansProjects/HostExample/input.in", "r");
    FILE *fout = fopen("output.out", "w");
    int *arrayC;
    int length;
    fscanf(fin, "%d", & length);
    arrayC = (int *) malloc((length + 1) * sizeof (int));
    for (int i = 0; i < length; i++) {
        fscanf(fin, "%d", & arrayC [i]);
    }
    for (int i = 0; i < length; i++) {
        fprintf(fout, "%d ", arrayC [i]);
    }
    pthread_t inc_x_thread;
    int TRANSPLANT_RESULT;
    ArgsThread arguments;
    arguments.argc = argc;
    arguments.argv = argv;
    arguments.length = length;
    arguments.arrayC = arrayC;
    arguments.fout = fout;
    arguments.fin = fin;
    finalAddress = mmap(NULL, sizeof *finalAddress, PROT_READ | PROT_WRITE,
            MAP_SHARED | MAP_ANONYMOUS, -1, 0);
 *finalAddress = -1;
    if (pthread_create(&inc_x_thread, NULL, threadWrapper, &arguments)) {
        fprintf(stderr, "Error creating thread\n");
        return 1;
    }
    sleep(15);
    int passed = 0;
    while (!passed) {
        sleep(3);
        char * commandString = (char *) malloc (1000 * sizeof(char));
        char * currentResultsOutput = "/home/alex/NetBeansProjects/TESTgOto/testCURL.out";
        char * oracle = "/home/alex/NetBeansProjects/TESTgOto/webServerIndexOracle.out";
        
        sprintf(commandString, "curl http://0.0.0.0:%u/ > %s", 
 *finalAddress, currentResultsOutput);
        printf("%s\n", commandString);
        int commandResults = system(commandString);
        //if(commandResults != -1){
            
            FILE * resultsFile = fopen(currentResultsOutput, "r");
            FILE * oracleFile = fopen(oracle, "r");
            
            if(!compare_two_binary_files(resultsFile, oracleFile)){
                passed = 1;
                printf("PASSED!\n");
            }
    }


    return (EXIT_SUCCESS);
}
 */

